Groovy Documentation

## org.codehaus.groovy.util
[Java] Class ManagedConcurrentMap.EntryWithValue

    java.lang.Object
      Entry
          org.codehaus.groovy.util.ManagedConcurrentMap.EntryWithValue

    public static class ManagedConcurrentMap.EntryWithValue
    extends Entry

Constructor Summary
`ManagedConcurrentMap.EntryWithValue(ReferenceBundle bundle, Segment segment, java.lang.Object key, int hash, java.lang.Object value)`

Method Summary
`void` | `finalizeRef()`
`java.lang.Object` | `getValue()`
`void` | `setValue(java.lang.Object value)`

Constructor Detail

### ManagedConcurrentMap.EntryWithValue

    public ManagedConcurrentMap.EntryWithValue(ReferenceBundle bundle, Segment segment, java.lang.Object key, int hash, java.lang.Object value)

Method Detail

### finalizeRef

    public void finalizeRef()

### getValue

    public java.lang.Object getValue()

### setValue

    public void setValue(java.lang.Object value)

Groovy Documentation